function [cell_out] = squeezeCells(cell_in)
% combine a cell contaning cells into a cell of one level only
%
% USAGE
%   [cell_out] = squeezeCells(cell_in)
% 
% INPUTS
%   cell_in     - input cell to be squeezed
% 
% OUTPUTS
%   cell_out    - output squeezed cell of one level
%
% Copyright (C) 2014 Ching L Teo, University of Maryland College Park, [cteo-at-cs.umd.edu]
%
%    You can redistribute and/or modify this software for non-commercial use
%    under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
%    For commercial use, contact the author for licensing options. 
%
% Please email me if you find bugs, or have suggestions or questions!

cell_out = {};
for i=1:size(cell_in,1)
    for j=1:size(cell_in{i,1}, 1)
        cell_out{end+1} = cell_in{i,1}{j,1};
    end
end
cell_out = cell_out';

end
